import React from 'react'
import { Field, reduxForm } from 'redux-form';

import './login.scss';

let LoginForm = props => {
    const { handleSubmit, postLoginSubmit } = props;

    const submit = value => {
        //console.log(value);
        postLoginSubmit(value);
    };

    return (
        <form className="form" onSubmit={handleSubmit(submit)}>
            <div>
                <label htmlFor="email">E-mail</label>
                <Field name="email" component="input" type="text" />
            </div>
            <div>
                <label htmlFor="password">Password</label>
                <Field name="password" component="input" type="text" />
            </div>
            <button type="submit">Submit</button>
        </form>
        )
};

LoginForm = reduxForm({
    form: 'login'
})(LoginForm)

export default LoginForm