import React from 'react';
import ReactDOM from 'react-dom';
import { BrowserRouter } from "react-router-dom";
import { Provider } from "react-redux";
import * as serviceWorker from './serviceWorker';
import './index.scss';
import Router from './router';

import { store } from "./store.js";

ReactDOM.render(
    <Provider store={store}>
        <BrowserRouter>
            <Router />
        </BrowserRouter>
    </Provider>, 
    document.getElementById('root')
);

serviceWorker.unregister();
